Skip to Content
avatar image
Former Member

MDM Java Version for Workflows

We have a plan to use MDM 5.5 to implement CUSTOMER master. The plan currently is to do custom development from EP using JAVA APIs.

for workflows interaction, the MDM 5.50 Java API uses the a2i classes of MDM4J, but the MDM 5.52 JAVA API has classes of its own for workflow interaction.

Now the issue/problem/question:

I dont want to use MDM4J(which is a part of MDM5.50) for Workflows, as it would be taken out by SAP sometime soon, as they do with all other softwares:-).

Is it advisable to move the MDM server to higher patches?

Are the higher patches stable?

Are there any known issues with patches / APIs over 5.50?

Please advice.

~Nitin

Add comment
10|10000 characters needed characters exceeded

  • Follow
  • Get RSS Feed

1 Answer

  • Best Answer
    avatar image
    Former Member
    May 10, 2008 at 02:01 PM

    Hello Nitin.

    As you have gotten no answer by now, I try to tell you what I my experiences were.

    Moving to higher patches like SP5 or SP6 should be no problem. SP5 ist quite OK from my experiences, SP6 as well, from what I heard. We are working with SP5 and SP6 without facing severe problems. Or have solutions found for them.

    But yes, there are some problems (which software contains no problems after all? 😉 ).

    If problems should occour you could search here for help, or if you have found nothing, just ask.

    As I have been working most of the time with the Java-API, I can say there are some deficiencies like:

    The isCommandComplete() method does not work, or the password from a user cannot be retrieved.

    In the DataManager exists a problem with the calculated fields. They are not filled after import and have to be recalculated to be filled (or something like this). But knowing this, it is not a real problem after all.

    Yet, sometimes you have to really dig through the code to get the program do what you want.

    I guess, if you want to move to the "newer" pathes, do it now. Later it could be even more complicated.

    Best regards

    Dominik

    Add comment
    10|10000 characters needed characters exceeded